Ip Pool Manager Query Ip Pools

Ip Pool Manager Query Ip Pools
Return the list of IP pools for a datacenter.

Return the list of IP pools for a datacenter.

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/IpPoolManager/{moId}/QueryIpPools
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case IpPoolManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
QueryIpPoolsRequestType of type(s) application/json
Required

Show optional properties

{
    "dc": {}
}
{
    "dc": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
dc
Required

The datacenter for which to look up the IP pools.

Required privileges: System.Read

Authentication
This operation uses the following authentication methods.
Responses
200

The resulting list of pools.

[
    {
        "_typeName": "string",
        "id": 0,
        "name": "string",
        "ipv4Config": {
            "_typeName": "string",
            "subnetAddress": "string",
            "netmask": "string",
            "gateway": "string",
            "range": "string",
            "dns": [
                "string"
            ],
            "dhcpServerAvailable": false,
            "ipPoolEnabled": false
        },
        "ipv6Config": {
            "_typeName": "string",
            "subnetAddress": "string",
            "netmask": "string",
            "gateway": "string",
            "range": "string",
            "dns": [
                "string"
            ],
            "dhcpServerAvailable": false,
            "ipPoolEnabled": false
        },
        "dnsDomain": "string",
        "dnsSearchPath": "string",
        "hostPrefix": "string",
        "httpProxy": "string",
        "networkAssociation": [
            {
                "_typeName": "string",
                "network": {
                    "_typeName": "string",
                    "type": "string",
                    "value": "string"
                },
                "networkName": "string"
            }
        ],
        "availableIpv4Addresses": 0,
        "availableIpv6Addresses": 0,
        "allocatedIpv4Addresses": 0,
        "allocatedIpv6Addresses": 0
    }
]
array of object
Optional

Specifications of the network configuration to be used on a network.

This is used to generate IP addresses and for self-customization of vApps.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"dc":"{}"}' https://{api_host}/sdk/vim25/{release}/IpPoolManager/{moId}/QueryIpPools